- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKChart Class Reference

`#include <IWORKChart.h>`

## Public Member Functions
| IWORKChart ()

## Public Attributes
unsigned | m_chartType
std::deque< std::string > | m_rowNames
std::deque< std::string > | m_columnNames
boost::optional< std::string > | m_chartName
boost::optional< std::string > | m_valueTitle
boost::optional< std::string > | m_categoryTitle

## Constructor & Destructor Documentation

libetonyek::IWORKChart::IWORKChart | ( |  | ) |

## Member Data Documentation

boost::optional<std::string> libetonyek::IWORKChart::m_categoryTitle

boost::optional<std::string> libetonyek::IWORKChart::m_chartName

unsigned libetonyek::IWORKChart::m_chartType

Referenced by libetonyek::IWORKChartInfoElement::attribute().

std::deque<std::string> libetonyek::IWORKChart::m_columnNames

std::deque<std::string> libetonyek::IWORKChart::m_rowNames

boost::optional<std::string> libetonyek::IWORKChart::m_valueTitle

The documentation for this class was generated from the following files:

- IWORKChart.h
- IWORKChart.cpp